using DevExpress.Xpo;
using System.ComponentModel;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;

namespace Nuvolar.Module.CSharp
{
    [DefaultClassOptions, NavigationItem(false), CreatableItem(false)]
    public class GanttTaskDependencies : XPLiteObject
    { 
        public GanttTaskDependencies(Session session)
            : base(session)
        {
        }
        public override void AfterConstruction()
        {
            base.AfterConstruction();
            
        }
        
        private int _ParentId;
        private int _DependentId;
        private int _TType;

        [Key(AutoGenerate = true), Browsable(false)]
        public int Id { get; set; }
        public int ParentId
        {
            get { return _ParentId; }
            set { SetPropertyValue("ParentId", ref _ParentId, value); }
        }
        /// <summary>
        /// DependentId -> a függőségekhez
        /// </summary>
        public int DependentId
        {
            get { return _DependentId; }
            set { SetPropertyValue("DependentId", ref _DependentId, value); }
        }
        /// <summary>
        /// Type
        /// </summary>
        public int TType
        {
            get { return _TType; }
            set { SetPropertyValue("TType", ref _TType, value); }
        }

    }
}